Subject: Re: Could the DTS experts look at this?

From: David Gibson <[email-masked]>
Date: Tue, 12 Feb 2008 11:48:58 +1100

On Mon, Feb 11, 2008 at 07:41:07PM -0500, Sean MacLennan wrote:
> David Gibson wrote:
> > Err.. now I'm doubly confused.  Initially I thought you'd need to
> > change the size part of reg somewhere, but your description above just
> > convinced me you didn't (because you were essentially just shifting a
> > 4M map up into the high rather than low 4M of the 64M space).  Now
> > you're saying you do..
> >   
> If you tell the mtd driver that the flash is 64M, when it is really 4M, 
> it goes oops. So you do have to get the size right in the reg field.

Ah!  The top-level reg field, not the partitions.  Now I understand.

Except, since the 4M layout is the expected future norm, I would have
thought that's what you'd encode into the dts, and mangle it into the
64M version, rather than the other way around.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson